diff -Naur vlc-0.8.1/modules/gui/wxwindows/open.cpp vlc/modules/gui/wxwindows/open.cpp
--- vlc-0.8.1/modules/gui/wxwindows/open.cpp	2004-11-06 18:35:24.000000000 +0200
+++ vlc/modules/gui/wxwindows/open.cpp	2005-03-03 21:45:16.000000000 +0200
@@ -389,8 +389,7 @@
     wxStaticText *mrl_label = new wxStaticText( panel, -1,
                                                 wxU(_("Open:")) );
     mrl_combo = new wxComboBox( panel, MRL_Event, wxT(""),
-                                wxPoint(20,25), wxSize(120, -1),
-                                0, NULL );
+                                wxPoint(20,25), wxSize(120, -1));
     mrl_combo->SetToolTip( wxU(_("You can use this field directly by typing "
         "the full MRL you want to open.\n""Alternatively, the field will be "
         "filled automatically when you use the controls below.")) );
@@ -581,7 +580,7 @@
     wxBoxSizer *file_sizer = new wxBoxSizer( wxHORIZONTAL );
 
     file_combo = new wxComboBox( panel, FileName_Event, wxT(""),
-                                 wxPoint(20,25), wxSize(200, -1), 0, NULL );
+                                 wxPoint(20,25), wxSize(200, -1));
     wxButton *browse_button = new wxButton( panel, FileBrowse_Event,
                                             wxU(_("Browse...")) );
     file_sizer->Add( file_combo, 1, wxALL, 5 );
diff -Naur vlc-0.8.1/modules/gui/wxwindows/streamout.cpp vlc/modules/gui/wxwindows/streamout.cpp
--- vlc-0.8.1/modules/gui/wxwindows/streamout.cpp	2004-11-06 18:35:26.000000000 +0200
+++ vlc/modules/gui/wxwindows/streamout.cpp	2005-03-03 21:47:55.000000000 +0200
@@ -168,7 +168,7 @@
     wxStaticText *mrl_label = new wxStaticText( panel, -1,
                                                 wxU(_("Destination Target:")));
     mrl_combo = new wxComboBox( panel, MRL_Event, wxT(""),
-                                wxPoint(20,25), wxSize(120, -1), 0, NULL );
+                                wxPoint(20,25), wxSize(120, -1));
     mrl_combo->SetToolTip( wxU(_("You can use this field directly by typing "
         "the full MRL you want to open.\n""Alternatively, the field will be "
         "filled automatically when you use the controls below")) );
@@ -452,7 +452,7 @@
     subpanel_sizer = new wxFlexGridSizer( 3, 2, 20 );
     label = new wxStaticText( access_subpanels[1], -1, wxU(_("Filename")) );
     file_combo = new wxComboBox( access_subpanels[1], FileName_Event, wxT(""),
-                                 wxPoint(20,25), wxSize(200, -1), 0, NULL );
+                                 wxPoint(20,25), wxSize(200, -1));
     wxButton *browse_button = new wxButton( access_subpanels[1],
                                   FileBrowse_Event, wxU(_("Browse...")) );
     subpanel_sizer->Add( label, 0, wxALIGN_RIGHT | wxALIGN_CENTER_VERTICAL );
diff -Naur vlc-0.8.1/modules/gui/wxwindows/subtitles.cpp vlc/modules/gui/wxwindows/subtitles.cpp
--- vlc-0.8.1/modules/gui/wxwindows/subtitles.cpp	2004-11-06 18:35:26.000000000 +0200
+++ vlc/modules/gui/wxwindows/subtitles.cpp	2005-03-03 21:47:12.000000000 +0200
@@ -85,7 +85,7 @@
     char *psz_subsfile = config_GetPsz( p_intf, "sub-file" );
     if( !psz_subsfile ) psz_subsfile = strdup("");
     file_combo = new wxComboBox( panel, -1, wxL2U(psz_subsfile),
-                                 wxPoint(20,25), wxSize(300, -1), 0, NULL );
+                                 wxPoint(20,25), wxSize(300, -1));
     if( psz_subsfile ) free( psz_subsfile );
     wxButton *browse_button = new wxButton( panel, FileBrowse_Event,
                                             wxU(_("Browse...")) );
